Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class DefaultHighlighter.DefaultHighlightPainter

    java.lang.Object
      |
      +--javax.swing.text.LayeredHighlighter.LayerPainter
            |
            +--javax.swing.text.DefaultHighlighter.DefaultHighlightPainter

All Implemented Interfaces:
  Highlighter.HighlightPainter

Enclosing class:
  DefaultHighlighter

public static class DefaultHighlighter.DefaultHighlightPainter
extends LayeredHighlighter.LayerPainter

Simple highlight painter that fills a highlighted area with a solid color.

Constructor Summary
`DefaultHighlighter.DefaultHighlightPainter(Color c)` Constructs a new highlight painter.

Method Summary
`Color` | `getColor()` Returns the color of the highlight.
`void` | `paint(Graphics g, int offs0, int offs1, Shape bounds, JTextComponent c)` Paints a highlight.
`Shape` | `paintLayer(Graphics g, int offs0, int offs1, Shape bounds, JTextComponent c, View view)` Paints a portion of a highlight.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHighlighter.DefaultHighlightPainter

    public DefaultHighlighter.DefaultHighlightPainter(Color c)

  Constructs a new highlight painter. If `c` is null, the JTextComponent will be queried for its selection color.
  Parameters:
    `c` - the color for the highlight

Method Detail

### getColor

    public Color getColor()

  Returns the color of the highlight.
  Returns:
    the color

### paint

    public void paint(Graphics g,
                      int offs0,
                      int offs1,
                      Shape bounds,
                      JTextComponent c)

  Paints a highlight.
  Parameters:
    `g` - the graphics context
    `offs0` - the starting model offset >= 0
    `offs1` - the ending model offset >= offs1
    `bounds` - the bounding box for the highlight
    `c` - the editor

### paintLayer

    public Shape paintLayer(Graphics g,
                            int offs0,
                            int offs1,
                            Shape bounds,
                            JTextComponent c,
                            View view)

  Paints a portion of a highlight.
  Overrides:
    `paintLayer` in class `LayeredHighlighter.LayerPainter`
  Parameters:
    `g` - the graphics context
    `offs0` - the starting model offset >= 0
    `offs1` - the ending model offset >= offs1
    `bounds` - the bounding box of the view, which is not necessarily the region to paint.
    `c` - the editor
    `view` - View painting for
  Returns:
    region drawing occured in

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.